Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.processing
Class ProcessingThread

    java.lang.Object
      java.lang.Thread
          ipipan.spejd.processing.ProcessingThread

All Implemented Interfaces:
  java.lang.Runnable

    public class ProcessingThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`Stempelator` | `anal`
`Sentence` | `chunk`
`Config` | `conf`
`LexDictionary` | `dict`
`java.lang.Object` | `lock`
`RuleSet` | `rules`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProcessingThread(java.lang.Runnable r, Stempelator anal, LexDictionary dict, RuleSet rules, Sentence chunk, Config conf, java.lang.Object lock)`

Method Summary
`void` | `finalize()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lock

    public final java.lang.Object lock

### conf

    public final Config conf

### anal

    public Stempelator anal

### dict

    public LexDictionary dict

### rules

    public RuleSet rules

### chunk

    public Sentence chunk

Constructor Detail

### ProcessingThread

    public ProcessingThread(java.lang.Runnable r,
                            Stempelator anal,
                            LexDictionary dict,
                            RuleSet rules,
                            Sentence chunk,
                            Config conf,
                            java.lang.Object lock)

Method Detail

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD